cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
719
Views
15
Helpful
3
Replies

Cisco ISE upgrade

Sanath
Beginner
Beginner

Hello,

 

Recently i've just upgrated Cisco ISE 1.3 to 2.1 and this version has many cosmetic bugs who are well known from cisco as i read it.

My question is that whats the best suggestion to follow to begin to install patches for this version or to do again an upgrade and if yes whats the recommended version 2.2 or 2.3???

Waiting for any suggestions.

Thank you. 

1 Accepted Solution

Accepted Solutions

Marvin Rhoads
VIP Community Legend VIP Community Legend
VIP Community Legend

Patches are cumulative so you can go ahead and install the latest 2.1 patch on your deployment.

 

If you decide to go to 2.3 you might wait until Patch 1 is released for it (should be in the coming month or so). I've deployed a couple of them and haven't had any problems but it is pretty new code.

View solution in original post

3 Replies 3

Marvin Rhoads
VIP Community Legend VIP Community Legend
VIP Community Legend

Patches are cumulative so you can go ahead and install the latest 2.1 patch on your deployment.

 

If you decide to go to 2.3 you might wait until Patch 1 is released for it (should be in the coming month or so). I've deployed a couple of them and haven't had any problems but it is pretty new code.

In my experience with most Cisco products, the mantra is "latest version is not always best".  It's sad, but true.  Things that used to work just break randomly and you may be gaining new features with new versions, but in the same vein, lose a few features that used to work.

It all depends on what problems you're using ISE for - web auth, 802.1X, profiling etc. 

Just to give you an idea - since July 2017 I have raised 19 TAC cases, and as a result created 7 new bug ID's - and all I am doing is sponsored guest portals.  This is technology that has existed for years and it still doesn't work properly. I am not a fussy guy - I just expect things to work after seeing the flashy demos and powerpoint slides. 

There seems to be a lack of quality control that allows these things to occur.  The TAC are dealing with so many bugs instead of being there to assist customers with valu add functions.

I tried to upgrade from 2.2p2 to 2.3 and the URT tool failed (what a surprise).  It seems that noone had tested the URT tool while PAN Failover was enabled.  But the Oracle DB contained the setting and the URT just didn't like it. 

In retrospect I think I have a guardian angel ... looks like 2.3 is probably only for the brave ...

Mohammed al Baqari
VIP Advisor VIP Advisor
VIP Advisor
Hi,

Version 2.2 is a big now. I used it and its full of bugs. You can call 2.1
stable compared to 2.2.

I am currently on 2.3 and its quite good. So far now issues. Its been
running for a month now.
Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers